Bug 335651 - Query Server don't use bindDN and password connect to server
Summary: Query Server don't use bindDN and password connect to server
Status: RESOLVED FIXED
Alias: None
Product: kaddressbook
Classification: Unclassified
Component: ldap search (show other bugs)
Version: GIT
Platform: Compiled Sources All
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL: https://issues.kolab.org/show_bug.cgi...
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-01 15:33 UTC by Sandro Knauß
Modified: 2014-06-11 00:13 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.13.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sandro Knauß 2014-06-01 15:33:25 UTC
Going to:
Settings -> Configure Kontact -> LDAP Server Settings -> Edit Host

In the configuration window select "simple auth", BindDN and Password fields will be activated. Enter credentials to connect to LDAP server (your user DN and password, e.g. uid=user,o=People,dc=kolabsys,dc=com) and click query server.

Looking at tcpdump/wireshark packet capture it is clearly seen, that Kontacts tries to connect to LDAP anonymously and is rejected the connection.

Original bug post: https://issues.kolab.org/show_bug.cgi?id=3103
Comment 1 Sandro Knauß 2014-06-04 08:01:43 UTC
Git commit 0a23465bc5ea2ba74e96824670c71dc93cf80e32 by Sandro Knauß.
Committed on 01/06/2014 at 15:42.
Pushed by knauss into branch 'KDE/4.13'.

Use credentials in the "Edit Host" window to query LDAP Server.

If the server needs authentification to connect, the "Query Server"
to get the namingcontexts should use the credentials.
Related: bug 118496
FIXED-IN: 4.13.2

M  +6    -13   kldap/ldapconfigwidget.cpp

http://commits.kde.org/kdepimlibs/0a23465bc5ea2ba74e96824670c71dc93cf80e32